ALTER TABLE HCL_CODE 
    ADD CONSTRAINT HCL_CODE_ARTEFACT_FK FOREIGN KEY 
    ( 
     HCODE_ID
    ) 
    REFERENCES ARTEFACT 
    ( 
     ART_ID
    ) 
;
ALTER TABLE HCL_CODE 
    ADD CONSTRAINT HCL_CODE_DSD_CODE_FK FOREIGN KEY 
    ( 
     LCD_ID
    ) 
    REFERENCES DSD_CODE 
    ( 
     LCD_ID
    ) 
;
ALTER TABLE HCL_CODE 
    ADD CONSTRAINT HCL_CODE_HCL_CODE_FK FOREIGN KEY 
    ( 
     PARENT_HCODE_ID
    ) 
    REFERENCES HCL_CODE 
    ( 
     HCODE_ID
    ) 
    ON DELETE SET NULL
;
ALTER TABLE HCL_CODE 
    ADD CONSTRAINT HCL_CODE_HIERARCHY_FK FOREIGN KEY 
    ( 
     H_ID
    ) 
    REFERENCES HIERARCHY 
    ( 
     H_ID
    ) 
    ON DELETE CASCADE 
;
ALTER TABLE HCL_CODE 
    ADD CONSTRAINT HCL_CODE_LEVEL_FK FOREIGN KEY 
    ( 
     LEVEL_ID
    ) 
    REFERENCES HLEVEL 
    ( 
     LEVEL_ID
    ) 
    ON DELETE SET NULL
;
